# $Revision: 1.12 $, $Date: 2005/01/09 18:38:46 $
Summary:	GUI for netwox
Summary(pl):	Graficzny interfejs do netwoksa
Name:		netwag
Version:	5.28.0
Release:	1
Epoch:		0
License:	GPL
Group:		Applications/Networking
Source0:	http://www.laurentconstantin.com/common/netw/netwag/download/v5/%{name}-%{version}-src.tgz
# Source0-md5:	fe5bf3b6ef6f8c47f72a748c37588f5e
Source1:	%{name}.desktop
Patch0:		%{name}-config.patch
URL:		http://www.laurentconstantin.com/en/netw/netwag/
BuildRequires:	netwib-devel >= %{version}
BuildRequires:	netwox >= %{version}
BuildRequires:	sed >= 4.0
BuildRequires:	tk
Requires:	netwox >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUI for Netwox (Netwox is a toolbox for network administrators and
network hackers).

%description -l pl
Graficzny interfejs do Netwoksa (Netwox to zestaw narzdzi dla
administratorw sieci i hackerw sieciowych).

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

%build
cd src
./genemake
sed -i -e 's#444#644#' -e 's#555#755#g' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

%{__make} -C src install \
        INSTBIN=$RPM_BUILD_ROOT%{_bindir} \
        INSTMAN1=$RPM_BUILD_ROOT%{_mandir}/man1 \
        INSTUSERGROUP="$(id -u):$(id -g)"

install src/compil/unix/ico/ico_netw-32x32.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netwag.spec,v $
Revision 1.12  2005/01/09 18:38:46  adamg
- updated to 5.28.0

Revision 1.11  2004/12/01 20:25:19  paszczus
- updated to 5.27.0

Revision 1.10  2004/10/26 17:36:20  paszczus
- updated to 5.26.0

Revision 1.9  2004/09/28 15:16:24  paladine
- updated to 5.25.0
- added desktop file

Revision 1.8  2004/09/09 22:29:41  paszczus
- fixed md5

Revision 1.7  2004/09/09 22:02:44  paszczus
- reverted changes

Revision 1.6  2004/09/09 21:59:05  paszczus
- updated to 0.5.3

Revision 1.5  2004/04/07 10:47:14  arekm
- updated to 5.13.0

Revision 1.4  2004/03/31 13:09:25  qwark
- update to version 5.12.0

Revision 1.3  2003/10/21 19:53:48  qboosh
- pl, simplified install

Revision 1.2  2003/10/21 08:21:16  arekm
- fix md5

Revision 1.1  2003/10/21 08:13:38  arekm
- initial pld release
